#include "./nSpireLTE/nSpireLTE.hpp"

int main(int argc, char **argv)
{
    KeyManager::Initialize();
    MouseManager::Initialize();
	TimeManager::Initialize();

	bool done = false;
	
	int Heure, Minute, Seconde;
	
	while (!done)
	{
		KeyManager::Logic();
		MouseManager::Logic();
		
		if (KeyManager::kbCTRL() && KeyManager::kbESC())
		{
			done = true;
		}
		
		TimeManager::GetCurrentTime( &Heure, &Minute, &Seconde );
		
		if (KeyManager::IsKeyPressEvent() || MouseManager::IsKeyArrowPressEvent())
		{
			printf( " [Pause for the next 5s]\n" );
			TimeManager::Delay( 5000 );
			printf( " [OK, Done end of the 5s]\n" );
		}
		
		printf( " Hello : current time is %d:%d:%d\n", Heure, Minute, Seconde );
	}

    KeyManager::Close();
    MouseManager::Close();
	TimeManager::Close();
	
    return 0;
}
