#include "./nSpireLTE/nSpireLTE.hpp"

int main(int argc, char **argv)
{
    KeyManager::Initialize();
    MouseManager::Initialize();

	bool done = false;
	unsigned int MX;
	unsigned int MY;
	bool MB;
	
	MouseManager::SetSensibility( 3 );
	
	
	while (!done)
	{
		KeyManager::Logic();
		MouseManager::Logic();
		
		if (KeyManager::kbCTRL() && KeyManager::kbESC())
		{
			done = true;
		}
		
		MX = MouseManager::GetX();
		MY = MouseManager::GetY();
		MB = MouseManager::GetB();
		
		if (MB)
		{
			printf( " Mouse position is (%d, %d) - Button Clicked.\n", MX, MY );
		}
		else
		{
			printf( " Mouse position is (%d, %d).\n", MX, MY );
		}			
		
	}

    KeyManager::Close();
    MouseManager::Close();
	
    return 0;
}
